## taylor-2.1.tgz

=== Makefile ===
#######################################################################
#
#   Makefile for the taylor translator
#		

MANDIR = $(DESTDIR)/usr/share/man/man1/
BINDIR = $(DESTDIR)/usr/bin/
DOCDIR = $(DESTDIR)/usr/share/taylor/

INSTALLDOC = /usr/bin/install -c -m 644
INSTALLPROGRAM = /usr/bin/install -c -m 755

CP = cp
MKDIR = mkdir

all:     taylor

install: all
	$(MKDIR) -p $(MANDIR)
	$(MKDIR) -p $(DOCDIR)
	$(MKDIR) -p $(BINDIR)
	$(INSTALLPROGRAM) taylor $(BINDIR)
	$(INSTALLDOC) taylor.1.gz $(MANDIR)
	$(INSTALLDOC) taylor.pdf $(DOCDIR)
	$(INSTALLDOC) examples.tgz $(DOCDIR)

HEADER1= y.tab.h
HEADER2= Node.h NodeCode.h
LEXSRC = Lex.l
YACCSRC= parse.y
SRC    = lex.yy.c y.tab.c Node.c  Parse.c my_jet_code.c my_coef_code.c Code.c Code1.c Sum.c CodeMain.c Expr.c Poincare.c Main.c
OBJ    = $(SRC:.c=.o)

CC=gcc
LEXLIB = -lfl
OPFLAG = -g -Wall

Node.h: NodeCode.h
	@/usr/bin/touch Node.h

lex.yy.c: Lex.l $(HEADER1)
	flex -l Lex.l

y.tab.h: parse.y
	bison -y -d parse.y

y.tab.c: y.tab.h
	bison -y -v parse.y

taylor: $(OBJ)
	$(CC) -O -o $@ $(OPFLAG) $(OBJ) $(LEXLIB) -lm

clean:
	/bin/rm -rf *.o lex.yy.c y.tab.c y.tab.h y.output  *~ parse

.c.o:
	$(CC) $(OPFLAG)   -c $<

#######################################################################

=== 7.1/Makefile ===

CC=gcc
CFLAGS=-c 
LFLAGS=-lm 

TAY=taylor $(RUNARG)

MODEL=lorenz1.eq

SRC=lorenz.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

lorenz.c: $(MODEL) 
	$(TAY) -o lorenz.c $(MODEL) 

clean:
	-rm -f $(OBJS) $(TGT) lorenz.c

=== 7.3/Makefile ===

CC=gcc
CFLAGS=-c 
LFLAGS=-lm 

TAY=taylor $(RUNARG)

MODEL=perturbation.eq

HDR=taylor.h
SRC=perturbation.c main_params.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@

%.o: %.c
	$(CC) $(CFLAGS) $< -o $@

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

taylor.h: $(MODEL) 
	$(TAY) -header -name perturbation -o $@ $(MODEL) 

perturbation.c: $(MODEL) $(HDR)
	$(TAY) -step -jet -o $@ -name perturbation $<

clean:
	-rm -f $(OBJS) $(TGT)

=== 7.4/Makefile ===
RUNARG=-jlib jet1_1

CC=gcc
CFLAGS=-c 
LFLAGS=-lm 

TAY=taylor  $(RUNARG)

MODEL=lorenz2.eq

HDR=lorenz2.h
SRC=lorenz2.c main_lyap.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@


lorenz2.h: $(MODEL)
	$(TAY) -o $@ -header $<


lorenz2.c: lorenz2.h $(MODEL) 
	$(TAY) -o lorenz2.c -jet -jet_helper -step -o $@ -header_name $^

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

clean:
	-rm -f $(OBJS) $(TGT) lorenz2.c lorenz2.h

=== 7.5/Makefile ===
 
CC=gcc
CFLAGS=-c 
LFLAGS=-lm 

TAY=taylor  $(RUNARG)

MODEL=lorenz3.eq

HDR=lorenz3.h
SRC=lorenz3.c main_varieq.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@


lorenz3.h: $(MODEL)
	$(TAY) -o $@ -header $<


lorenz3.c: $(MODEL) 
	$(TAY) -o lorenz3.c -header_name lorenz3.h -jet -jet_helper -step -o $@ $(MODEL) 

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

clean:
	-rm -f $(OBJS) $(TGT) lorenz3.c lorenz3.h

=== 8.1/Makefile ===
 
CC=gcc
CFLAGS=-c  -fopenmp
LFLAGS=-lm  -fopenmp

TAY=taylor  $(RUNARG)

MODEL=lorenz4.eq

HDR=lorenz4.h
SRC=lorenz4.c main_omp.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@


lorenz4.h: $(MODEL)
	$(TAY) -o $@ -header $<

lorenz4.c: lorenz4.h $(MODEL) 
	$(TAY) -o $@ -headername $^ -jet -jet_helper -step -o $@ $(MODEL) 
	cat lorenz4.c | sed -e '/extern MY_FLOAT SS;/a #pragma omp threadprivate(RR)' > x
	mv x lorenz4.c

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

clean:
	-rm -f $(OBJS) $(TGT) lorenz4.c lorenz4.h

=== 8.2/Makefile ===
 
CC=gcc
CFLAGS=-c
LFLAGS=-lm

TAY=taylor  $(RUNARG)

MODEL=lorenz5.eq

HDR=lorenz5.h
SRC=lorenz5.c main_equilibria.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@


lorenz5.h: $(MODEL)
	$(TAY) -o $@ -header $<

lorenz5.c: lorenz5.h $(MODEL) 
	$(TAY) -o $@ -headername $^ -jet -jet_helper -step -o $@ $(MODEL) 

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

clean:
	-rm -f $(OBJS) $(TGT) lorenz5.c lorenz5.h

=== 8.3/Makefile ===
 
CC=gcc
CFLAGS=-c
LFLAGS=-lm

TAY=../../taylor  $(RUNARG)

MODEL=vf.eq

HDR=vf.h
SRC=vf.c io_myjet.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@


vf.h: $(MODEL)
	$(TAY) -o $@ -header $<

vf.c: vf.h $(MODEL) 
	$(TAY) -o $@ -jet -jet_helper -step -headername $^

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

clean:
	-rm -f $(OBJS) $(TGT) vf.c vf.h kk.txt

=== 9.4/Makefile ===

CC=gcc
CFLAGS=-c 
LFLAGS=-lm 

TAY=taylor $(RUNARG)

MODEL=model.eq

HDR=jdata.h
SRC=jdata.c jdata_main.c
OBJ=$(SRC:.c=.o)
OBJS=$(OBJ:.cpp=.o)
TGT=a.out

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@
%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@

a.out: $(OBJS) 
	$(CC) $^ -o $@ $(LFLAGS)

jdata.c: jdata.h $(MODEL) 
	$(TAY) -name jdata -o $@ -jet -jet_helper -step -headername $^
jdata.h: $(MODEL)
	$(TAY) -name jdata -o $@ -header $<

clean:
	-rm -f $(OBJS) $(TGT) jdata.c jdata.h

=== 9.5/Makefile ===

CC=gcc
CFLAGS=-c 
LFLAGS=-lm 

TAY=taylor $(RUNARG)

MODEL=lorenz1.eq

HDR=taylor.h
SRC1=lorenz.c main1.c
SRC2=lorenz.c main2.c
OBJ1=$(SRC1:.c=.o)
OBJ2=$(SRC2:.c=.o)
TGT=ex1 ex2

all: $(TGT)

.c.o:
	$(CC) $(CFLAGS) $< -o $@

%.o: %.c %.h
	$(CC) $(CFLAGS) $< -o $@

ex1: $(OBJ1) 
	$(CC) $^ -o $@ $(LFLAGS)

ex2: $(OBJ2) 
	$(CC) $^ -o $@ $(LFLAGS)

lorenz.c: taylor.h $(MODEL) 
	$(TAY) -name lorenz -o $@ -jet -step -headername $^

taylor.h: $(MODEL)
	$(TAY) -name lorenz -o $@ -header $<

clean:
	-rm -f $(OBJ1) $(OBJ2) $(TGT) lorenz.c taylor.h

=== debian/control ===
Source: taylor
Version: 2.1
Maintainer: Maorong Zou <mzou@math.utexas.edu>
Build-Depends: debhelper (>=9), gcc, flex, bison , libfl-dev

Package: taylor
Version: 2.1
Maintainer: Maorong Zou
Architecture: amd64
Depends: ${misc:Depends}, ${shlibs:Depends}, flex, bison, libmpfr-dev, libgmp-dev, libmpc-dev, libfl-dev
Section: Miscellaneous
Priority:optional
Description: A translator that generats C-code to solve a system of ODEs using the taylor
  method, optionally integrate a variational equations
  simutaneously via the Jet Transport mechanism.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 


override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/taylor INSTALLDIR=$$(pwd)/debian/taylor install
